2 flx413 flx413 于 2016.03.31 22:58 提问

Android Studio SDK需要安装哪些?

刚学Android,发现SDK里内容很多,全安装的话占地方太大了。
我只想编译运行通过,能在真机下运行就可以了,模拟器什么的就不用了。需要安装哪些就可以了呢?
图片说明

4个回答

leilba
leilba   Rxr 2016.04.01 00:01
已采纳

tools目录下找最新的tool进行安装
Extra目录下基本上全装
针对各个系统版本的sdk的话装一下SDK Platform和Sources for Android sdk就行了,Documentation for Android SDK也可以装一下
然后对于模拟器的话选一两个测试用的intel x86系统的装一下就够用了
我在用的配置大致如下:
图片说明
图片说明

flx413
flx413 Thank you
一年多之前 回复
caozhy
caozhy   Ds   Rxr 2016.03.31 23:11

初学者的话,接受默认值就可以了。一般来说,现在为android 5开发的场景多一些,android 4也有。至于系统镜像,不需要那么多,标准的x86镜像就可以了。

flx413
flx413 这不是第一次安装了,打开没有默认选择。我在GitHub上下载了一个源码,打开提示Error:Cause: failed to find target with hash string 'android-23' in: D:\Android Studio\Android SDK <a href="openAndroidSdkManager">Open Android SDK Manager</a>所以我想安装23的SDK,感觉又用不了那么多,只想真机运行就可以了。
一年多之前 回复
luochoudan
luochoudan   Ds   Rxr 2016.03.31 23:53

第1.2.11.15行,其他的随便。

flx413
flx413 嗯,谢谢啦
一年多之前 回复
CSDNXIAOD
CSDNXIAOD   2016.03.31 23:02

Android studio和Genymotion的安装及出现的问题,SDK更新
CentOS下安装JAVA SDK,Eclipse,MyEclipse,Android Studio
----------------------biu~biu~biu~~~在下问答机器人小D,这是我依靠自己的聪明才智给出的答案,如果不正确,你来咬我啊!

flx413
flx413 我咬。。。
一年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!